POST api/itemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "96793065-d9cc-4cd3-9f3b-f48770ea833a",
"customer_id": "4444d9c8-845a-4f81-a383-e9f3dfa805f1",
"grouping_quantity": 1,
"id": "9541e704-27b7-40f0-9a76-f2138964f63f",
"item_service_id": "eb12a24f-04fe-4d38-bcf0-fd3fd1a34bf9",
"item_garment_type_id": "98a486f2-e3c5-4952-97f1-2377ec425719",
"item_segment_id": "a4afe266-1461-4f24-bf30-a5b52f69c57d",
"item_type_id": "b9f56e53-b4c7-48d1-a0f1-62d5a4ca723c",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "ff8abd45-2e84-4ab6-9c6e-b535471971fc",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>96793065-d9cc-4cd3-9f3b-f48770ea833a</color_id>
<customer_id>4444d9c8-845a-4f81-a383-e9f3dfa805f1</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>9541e704-27b7-40f0-9a76-f2138964f63f</id>
<item_garment_type_id>98a486f2-e3c5-4952-97f1-2377ec425719</item_garment_type_id>
<item_segment_id>a4afe266-1461-4f24-bf30-a5b52f69c57d</item_segment_id>
<item_service_id>eb12a24f-04fe-4d38-bcf0-fd3fd1a34bf9</item_service_id>
<item_type_id>b9f56e53-b4c7-48d1-a0f1-62d5a4ca723c</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>ff8abd45-2e84-4ab6-9c6e-b535471971fc</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"78bc3b74-bd7a-4994-8c77-f25544299826"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">78bc3b74-bd7a-4994-8c77-f25544299826</guid>